﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_default_dialog_button
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Display a message box with the first button the default.
        private void btnButton1_Click(object sender, EventArgs e)
        {
            DialogResult result = MessageBox.Show(
                "The first button is the default.",
                "Caption",
                MessageBoxButtons.YesNoCancel,
                MessageBoxIcon.Information,
                MessageBoxDefaultButton.Button1);
            MessageBox.Show("You selected " + result.ToString());
        }

        // Display a message box with the second button the default.
        private void btnButton2_Click(object sender, EventArgs e)
        {
            DialogResult result = MessageBox.Show(
                "The second button is the default.",
                "Caption",
                MessageBoxButtons.YesNoCancel,
                MessageBoxIcon.Information,
                MessageBoxDefaultButton.Button2);
            MessageBox.Show("You selected " + result.ToString());
        }
    }
}
